Bug 844236 - double entry activity_history
double entry activity_history
Status: CLOSED INSUFFICIENT_DATA
Product: Bugzilla
Classification: Community
Component: Database (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-30 01:10 EDT by yawei Li
Modified: 2014-10-12 18:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-11 01:53:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yawei Li 2012-07-30 01:10:59 EDT
cward sent this bug in bugzilla dev list, following is the info:

As an example,
https://bugzilla.redhat.com/show_activity.cgi?id=838575
(but there are more, seems like it happened during a bulk
update; tail(..., 836603,837710,838571,838575))

On/Around 2012-07-15 23:00:00, there was an event for
WHAT: "Status"
where

REMOVED: ON_DEV
ADDED: ON_QA

happened two times at once, which AFAIK, shouldn't be possible.

Expected? Bug?

-Chris
Comment 1 Chris Ward 2012-08-02 10:31:26 EDT
This bug here shows signs of even stranger activity;

https://bugzilla.redhat.com/show_activity.cgi?id=789356

...
grajaiya@redhat.com	2012-05-15 08:20:15 EDT	 Status	ON_QA	VERIFIED
Verified	FailedQA	Customer
jgalipea@redhat.com	2012-05-15 08:20:17 EDT	 Status	ON_QA	VERIFIED
Verified	FailedQA	Customer

Notice that *2* separate users submitted the same exact change, just 2
seconds apart. 

And this one is strange too:
https://bugzilla.redhat.com/show_activity.cgi?id=737727

Notice that 1 user submitted changes that caused the exact same activity to be added two times.

gireesha_us@dell.com	2012-04-30 05:41:17 EDT	 Verified		Dell
Verified		Dell

These are clearly a bugs, but i'm not sure if it's the same issue as my original report. Please clone it if it looks like two separate bugs. Thanks
Comment 2 Chris Ward 2012-08-31 05:47:29 EDT
Any thoughts as to the cause of these abnormal activity history entries?
Comment 3 Simon Green 2012-09-11 01:53:18 EDT
(In reply to comment #2)
> Any thoughts as to the cause of these abnormal activity history entries?

My gut feeling is that it is double click happy users, but I haven't been able to reproduce it on my test server. Unfortunately, if we don't know how to reproduce the problem, there isn't anything for the Red Hat Bugzilla developers to fix.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.